/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/completeLongTermUndelivery2609170000Process Orders Long Past Their Promised Delivery Date as 'Delivery Completed'
簡介
Process Orders Long Past Their Promised Delivery Date as 'Delivery Completed'
詳細內容
Available buyer market: Korean
For those orders that have been over one month since their waybills were registered but still cannot be tracked, switch their status to 'Delivery Completed'.
When an order that has been settled is not yet delivered and results in a Customer dispute, the seller is liable to pay for the resolution of the dispute, and it is crucial that all the facts are checked and confirmed.
The orders that can be processed as 'Delivery Completed' are: the orders in 'Delivery Started' (DEPARTURE) or 'In Transit' status, past 30 days since 'Delivery Started' (DEPARTURE).
路徑
範例端點
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/completeLongTermUndeliveryURL API Name
Path 參數
| Name | Type | Description |
|---|---|---|
| vendorId* | string | Seller ID
|
請求內容
請求參數
請求內容參數
| Name | Type | Description |
|---|---|---|
| shipmentBoxId* | integer | Bundled delivery number
|
| invoiceNumber* | string | Waybill number
|
{
"shipmentBoxId": 123456789012345680,
"invoiceNumber": "505124853844"
}回應內容
回應訊息
| Name | Type | Description |
|---|---|---|
| code | string | server response status info
|
| message | string | detail info
|
| data | boolean | true/false
|
Response Example
{
"code": "200",
"message": "SUCCESS",
"data": true
}錯誤碼
| HTTP | 代碼 | 訊息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
錯誤說明
| HTTP | 類型 | 錯誤訊息 | 解決方案 |
|---|---|---|---|
| 400 | 400 (Check Request Parameter) | Failed to process as Delivery Completed. | The orders in 'In Preparation' (INSTRUCT) status cannot be processed as 'Delivery Completed'. Only those orders in or past 'Delivery Started' status may be processed. |
| 400 | 400 (Check Request Parameter) | Failed to process as Delivery Completed. | Make sure that the waybill number is correct and that the order is past 30 days since entering 'Delivery Started' status. Depending on the time of entering 'Delivery Started' status, it is possible that an order could be processed after 32 days. |
| 400 | 400 (Check Request Parameter) | Failed to process as Delivery Completed. | The orders in 'Direct Courier Delivery' (NONE_TRACKING) status cannot be processed as 'Delivery Completed'. Make sure to prevent further attempts to process it as 'Delivery Completed'. |